<?php

// Sélectionne les fresques de la catégorie $id
function select_fresques_categorie($pdo, $id)
{
  // construction de la requête
  $sql = 'select * from fresques where fresques.idcategorie = :id';

  // exécution de la requête
  $query = $pdo->prepare($sql);
  $query->bindValue(':id',$id,PDO::PARAM_INT);

  $query->execute();

  if ($query->errorCode() == '00000') {
    // récupération des données dans un tableau
    $tableau = $query->fetchAll(PDO::FETCH_OBJ);
  } else {
    echo '<p>Erreur dans la requête : ' . $query->errorInfo()[2] . '</p>';
    $tableau = null;
  }

  return $tableau;
}

// Sélectionne toutes les fresques dans la base de données
function select_fresques_complet($pdo)
{
  // construction de la requête
  $sql = 'select fresques.*, categories.nom as categorie, artistes.nom as artiste from fresques
    inner join categories on fresques.idcategorie = categories.id
    inner join artistes on fresques.idartiste = artistes.id';

  // exécution de la requête
  $query = $pdo->prepare($sql);

  $query->execute();

  if ($query->errorCode() == '00000') {
    // récupération des données dans un tableau
    $tableau = $query->fetchAll(PDO::FETCH_OBJ);
  } else {
    echo '<p>Erreur dans la requête : ' . $query->errorInfo()[2] . '</p>';
    $tableau = null;
  }

  return $tableau;
}